<?php

namespace Drupal\Tests\selective_better_exposed_filters_address\Traits;

/**
 * Test data trait for selective_better_exposed_filters_address module.
 *
 * @group selective_better_exposed_filters_address
 */
trait TestDataTrait {

  /**
   * Get test data.
   */
  protected function getTestData() {
    return [
      [
        'title' => 'Inventore optio explicabo',
        'field_address' => [
          'country_code' => 'US',
          'administrative_area' => 'AL',
          'locality' => 'St. George',
          'dependent_locality' => NULL,
          'postal_code' => '93214',
          'sorting_code' => NULL,
          'address_line1' => '220 Alek Cliffs',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Arch',
          'additional_name' => NULL,
          'family_name' => 'Price',
        ],
      ],
      [
        'title' => 'Vero cupiditate animi',
        'field_address' => [
          'country_code' => 'US',
          'administrative_area' => 'AL',
          'locality' => 'Battle Creek',
          'dependent_locality' => NULL,
          'postal_code' => '14282-7122',
          'sorting_code' => NULL,
          'address_line1' => '375 Boehm Light',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Keyon',
          'additional_name' => NULL,
          'family_name' => 'Bins',
        ],
      ],
      [
        'title' => 'Assumenda esse optio',
        'field_address' => [
          'country_code' => 'US',
          'administrative_area' => 'GA',
          'locality' => 'Blaine',
          'dependent_locality' => NULL,
          'postal_code' => '99625-7178',
          'sorting_code' => NULL,
          'address_line1' => '274 Gisselle Brooks',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Pablo',
          'additional_name' => NULL,
          'family_name' => 'Sawayn',
        ],
      ],
      [
        'title' => 'Voluptatibus nobis suscipit',
        'field_address' => [
          'country_code' => 'HU',
          'administrative_area' => NULL,
          'locality' => 'San Bernardino',
          'dependent_locality' => NULL,
          'postal_code' => '5799',
          'sorting_code' => NULL,
          'address_line1' => '62833 Casey Rapid',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Weimann',
          'additional_name' => NULL,
          'family_name' => 'Elta',
        ],
      ],
      [
        'title' => 'Ullam dicta magni',
        'field_address' => [
          'country_code' => 'HU',
          'administrative_area' => NULL,
          'locality' => 'North Highlands',
          'dependent_locality' => NULL,
          'postal_code' => '0204',
          'sorting_code' => NULL,
          'address_line1' => '3014 Miguel Ridge',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Franey',
          'additional_name' => NULL,
          'family_name' => 'Dawson',
        ],
      ],
      [
        'title' => 'Alias illo quas',
        'field_address' => [
          'country_code' => 'US',
          'administrative_area' => 'WY',
          'locality' => 'East Los Angeles',
          'dependent_locality' => NULL,
          'postal_code' => '19764-7058',
          'sorting_code' => NULL,
          'address_line1' => '50887 Nicklaus Lock',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Abe',
          'additional_name' => NULL,
          'family_name' => 'Runolfsdottir',
        ],
      ],
      [
        'title' => 'Pariatur accusamus optio',
        'field_address' => [
          'country_code' => 'US',
          'administrative_area' => 'GA',
          'locality' => 'Green Bay',
          'dependent_locality' => NULL,
          'postal_code' => '63645-0692',
          'sorting_code' => NULL,
          'address_line1' => '620 Cassandre Cove',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Maria',
          'additional_name' => NULL,
          'family_name' => 'McCullough',
        ],
      ],
      [
        'title' => 'Dolore optio nobis',
        'field_address' => [
          'country_code' => 'HU',
          'administrative_area' => NULL,
          'locality' => 'Miramar',
          'dependent_locality' => NULL,
          'postal_code' => '4579',
          'sorting_code' => NULL,
          'address_line1' => '493 Ledner Viaduct',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Kaia',
          'additional_name' => NULL,
          'family_name' => 'Abbott',
        ],
      ],
      [
        'title' => 'Magnam aliquid numquam',
        'field_address' => [
          'country_code' => 'HU',
          'administrative_area' => NULL,
          'locality' => 'Lincoln',
          'dependent_locality' => NULL,
          'postal_code' => '6627',
          'sorting_code' => NULL,
          'address_line1' => '3803 Fritsch Branch',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Keith',
          'additional_name' => NULL,
          'family_name' => 'Witting',
        ],
      ],
      [
        'title' => 'Vero minus hic',
        'field_address' => [
          'country_code' => 'US',
          'administrative_area' => 'AL',
          'locality' => 'La Mirada',
          'dependent_locality' => NULL,
          'postal_code' => '04067',
          'sorting_code' => NULL,
          'address_line1' => '958 Cormier Way',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Baylee',
          'additional_name' => NULL,
          'family_name' => 'Veum',
        ],
      ],
      [
        'title' => 'Nam assumenda minus',
        'field_address' => [
          'country_code' => 'ZW',
          'administrative_area' => 'ME',
          'locality' => 'Apopka',
          'dependent_locality' => NULL,
          'postal_code' => NULL,
          'sorting_code' => NULL,
          'address_line1' => '198 Reinger Junction',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Wilber',
          'additional_name' => NULL,
          'family_name' => 'Gislason',
        ],
      ],
      [
        'title' => 'Quia optio ducimus',
        'field_address' => [
          'country_code' => 'US',
          'administrative_area' => 'ME',
          'locality' => 'Mentor',
          'dependent_locality' => NULL,
          'postal_code' => '50337-9314',
          'sorting_code' => NULL,
          'address_line1' => '58203 Brycen Drives',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Turner',
          'additional_name' => NULL,
          'family_name' => 'Waelchi',
        ],
      ],
      [
        'title' => 'Odio quo consectetur',
        'field_address' => [
          'country_code' => 'UA',
          'administrative_area' => '32',
          'locality' => 'Pompano Beach',
          'dependent_locality' => NULL,
          'postal_code' => '83992',
          'sorting_code' => NULL,
          'address_line1' => '62358 Matilde Wells',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Elvis',
          'additional_name' => '',
          'family_name' => 'Wiza',
        ],
      ],
      [
        'title' => 'Molestias nemo nemo',
        'field_address' => [
          'country_code' => 'ZW',
          'administrative_area' => 'MI',
          'locality' => 'Flint',
          'dependent_locality' => NULL,
          'postal_code' => NULL,
          'sorting_code' => NULL,
          'address_line1' => '90806 Nitzsche Harbors',
          'address_line2' => '',
          'address_line3' => '',
          'organization' => '',
          'given_name' => 'Johnson',
          'additional_name' => '',
          'family_name' => 'Flint',
        ],
      ],
    ];
  }
}
